Drop obsolete dh_installinit --upstart-only option

Bug #1519228 reported by Martin Pitt
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
avahi (Ubuntu)
Fix Released
Low
Martin Pitt
console-setup (Ubuntu)
Fix Released
High
Unassigned
cups (Ubuntu)
Fix Released
Low
Till Kamppeter
dcbd (Ubuntu)
Fix Released
High
Martin Pitt
debhelper (Ubuntu)
Fix Released
Wishlist
Martin Pitt
hostname (Ubuntu)
Fix Released
Low
Martin Pitt
lxc (Ubuntu)
Fix Released
Low
Unassigned
nfs-utils (Ubuntu)
Fix Released
Low
Martin Pitt
nis (Ubuntu)
Fix Released
Low
Unassigned
rfkill (Ubuntu)
Fix Released
Low
Unassigned
xdiagnose (Ubuntu)
Fix Released
Low
Unassigned

Bug Description

dh_installinit's --upstart-only option has been a deprecated no-op for a long time. Drop the remaining usage of it in packages so that we can get rid of this delta.

Martin Pitt (pitti)
Changed in avahi (Ubuntu):
status: New → Fix Committed
assignee: nobody → Martin Pitt (pitti)
importance: Undecided → Low
Changed in cups-filters (Ubuntu):
importance: Undecided → Low
Changed in nfs-utils (Ubuntu):
importance: Undecided → Low
no longer affects: cups-filters (Ubuntu)
Martin Pitt (pitti)
Changed in nfs-utils (Ubuntu):
status: New → Fix Committed
assignee: nobody → Martin Pitt (pitti)
Changed in hostname (Ubuntu):
status: New → Fix Committed
importance: Undecided → Low
Changed in console-setup (Ubuntu):
importance: Undecided → Low
Changed in unity-scope-musique (Ubuntu):
importance: Undecided → Low
Changed in hostname (Ubuntu):
assignee: nobody → Martin Pitt (pitti)
affects: unity-scope-musique (Ubuntu) → cups (Ubuntu)
Martin Pitt (pitti)
Changed in cups (Ubuntu):
assignee: nobody → Martin Pitt (pitti)
status: New → In Progress
Martin Pitt (pitti)
Changed in cups (Ubuntu):
status: In Progress → Fix Committed
Revision history for this message
Martin Pitt (pitti) wrote :

I committed the fix to console-setup's bzr. This is only relevant for package building, so no need to upload this right away.

Changed in console-setup (Ubuntu):
status: New → Fix Committed
Martin Pitt (pitti)
no longer affects: ubiquity (Ubuntu)
Changed in xdiagnose (Ubuntu):
status: New → Fix Committed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package hostname - 3.16ubuntu2

---------------
hostname (3.16ubuntu2) xenial; urgency=medium

  * Drop obsolete and no-op dh_installinit --upstart-only option.
    (LP: #1519228)

 -- Martin Pitt <email address hidden> Tue, 24 Nov 2015 09:43:42 +0100

Changed in hostname (Ubuntu):
status: Fix Committed → Fix Released
Martin Pitt (pitti)
Changed in rfkill (Ubuntu):
status: New → Fix Committed
importance: Undecided → Low
Changed in xdiagnose (Ubuntu):
importance: Undecided → Low
Changed in lxc (Ubuntu):
importance: Undecided → Low
Revision history for this message
Martin Pitt (pitti) wrote :

lxc has

  DEB_DH_INSTALLINIT_ARGS = --upstart-only

which is a double no-op, as DEB_DH_INSTALLINIT_ARGS is only used by cdbs and lxc does not use that.

Changed in lxc (Ubuntu):
status: New → Triaged
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nfs-utils - 1:1.2.8-9ubuntu11

---------------
nfs-utils (1:1.2.8-9ubuntu11) xenial; urgency=medium

  * Drop obsolete and no-op dh_installinit --upstart-only option.
    (LP: #1519228)

 -- Martin Pitt <email address hidden> Tue, 24 Nov 2015 09:39:56 +0100

Changed in nfs-utils (Ubuntu):
status: Fix Committed → Fix Released
Revision history for this message
Till Kamppeter (till-kamppeter) wrote :

Fixed cups in the Debian GIT repository. As we are auto-syncing CUPS from Debian we will get the fix with the next CUPS package.

Changed in cups (Ubuntu):
assignee: Martin Pitt (pitti) → Till Kamppeter (till-kamppeter)
Martin Pitt (pitti)
Changed in nis (Ubuntu):
status: New → Triaged
importance: Undecided → Low
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package rfkill - 0.5-1ubuntu3

---------------
rfkill (0.5-1ubuntu3) xenial; urgency=medium

  * Drop obsolete and no-op dh_installinit --upstart-only option.
    (LP: #1519228)

 -- Martin Pitt <email address hidden> Tue, 24 Nov 2015 10:22:23 +0100

Changed in rfkill (Ubuntu):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xdiagnose - 3.8.2

---------------
xdiagnose (3.8.2) xenial; urgency=medium

  * Drop obsolete and no-op dh_installinit --upstart-only option.
    (LP: #1519228)

 -- Martin Pitt <email address hidden> Tue, 24 Nov 2015 10:20:45 +0100

Changed in xdiagnose (Ubuntu):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cups - 2.1.0-6ubuntu1

---------------
cups (2.1.0-6ubuntu1) xenial; urgency=medium

  * debian/rules: Drop Ubuntu special-casing of dh_installinit. The
    --upstart-only option has been a deprecated no-op for a long time.
    (LP: #1519228)

 -- Martin Pitt <email address hidden> Tue, 24 Nov 2015 09:48:46 +0100

Changed in cups (Ubuntu):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package avahi - 0.6.32~rc+dfsg-1ubuntu2

---------------
avahi (0.6.32~rc+dfsg-1ubuntu2) xenial; urgency=medium

  * Put back libavahi-common3-udeb and libavahi-core7-udeb, they are being
    used by maas-enlist-udeb.

 -- Martin Pitt <email address hidden> Tue, 24 Nov 2015 11:32:59 +0100

Changed in avahi (Ubuntu):
status: Fix Committed → Fix Released
Martin Pitt (pitti)
Changed in nis (Ubuntu):
status: Triaged → Fix Committed
Changed in debhelper (Ubuntu):
assignee: nobody → Martin Pitt (pitti)
importance: Undecided → Wishlist
status: New → In Progress
Revision history for this message
Stéphane Graber (stgraber) wrote :

Fix pushed to the lxc packaging branch.

Changed in lxc (Ubuntu):
status: Triaged → Fix Committed
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (3.4 KiB)

This bug was fixed in the package debhelper - 9.20151117ubuntu1

---------------
debhelper (9.20151117ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - autoscripts/*-init*: Test for /etc/init/*.conf where necessary. This
      uses the #SCRIPT# macro twice, thus in dh_installinit, replace all
      occurrences of that not just the first one.
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7. This floods packages with huge upstream changelogs which
      take precious CD space.
    - dh_installinit: Add dependency to lsb-base >= 4.1+Debian11ubuntu7 that
      provides the upstart LSB hook, to avoid upgrade breakage. This change
      can be dropped after 16.04 LTS.
  * Dropped Ubuntu changes:
    - dh_installudev: Change default rules.d symlink priority to 40. This
      change has been pointless for a long time, Debian and Ubuntu use the
      upstream udev rules.
    - dh_installinit: Add no-op --upstart-only option for compatibility. The
      remaining packages that used this got fixed. (LP: #1519228)
    - autoscripts/preinst-upstart-compatibility: Handle upgrades from older
      versions that created the /lib/init/upstart-job symlink. This was done
      in saucy and thus finished in trusty.

debhelper (9.20151117) unstable; urgency=medium

  [ Niels Thykier ]
  * dh_clean: Temporarily interpret the absence of d/compat and
    DH_COMPAT to mean compat 5. This is to avoid breaking
    packages that rely on cdbs to set debian/compat to 5 during
    the build. This temporary work around will live until
    d/compat becomes mandatory. (Closes: #805404)

  [ Translations ]
  * Update German translation (Chris Leick)
    (Closes: #802198)

debhelper (9.20151116) unstable; urgency=medium

  [ Niels Thykier ]
  * dh_strip: Sort build-ids to make the Build-Ids header
    reproducible.
  * Dh_Lib.pm: Respect --no-act in autotrigger, thanks to
    Andreas Henriksson and Helmut Grohne for reporting
    the issue. (Closes: #800919)
  * Fix typos in various manpages. Thanks to Chris Leick
    for reporting them.
  * dh_clean: Avoid cleaning up debian/.debhelper when
    passed the "-d" flag.
  * Dh_Lib.pm: Reject compat levels earlier than 3.
  * dh_clean: Support removal of directory (plus contents)
    when they are marked with a trailing slash.
    (Closes: #511048)
  * dh_install,dh_installdocs,dh_installexamples: Apply
    patches from Niko Tyni to make timestamp of directories
    created from "find"-pipelines reproducible.
    (Closes: #802005)
  * dh_installinit: The postinst snippets are now only run
    during "configure" or "abort-upgrade".
    (Closes: #188028)
  * cmake.pm: Apply patch from Jonathan Hall to fix an
    accidental error hiding. (Closes: #802984)
  * qmake.pm: Apply patch from Sergio Durigan Junior to
    create the build dir if it doesn't exist.
    (Closes: #800738)
  * dh_installinit: Disable initscripts when a package is
    removed (but not yet purged). (Closes: #749400)
  * Dh_Lib.pm: Reject debian/compat files where the first
    line is not entirely a positive number.

  [ Translations ]
  * Update German translation (Chris Leick)
 ...

Read more...

Changed in debhelper (Ubuntu):
status: In Progress → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nis - 3.17-34ubuntu2

---------------
nis (3.17-34ubuntu2) xenial; urgency=medium

  * Set debhelper compat level to work with current debhelper, and adjust dh_*
    calls in debian/rules to use debian/tmp as package dir. (Closes: #800305)

 -- Martin Pitt <email address hidden> Tue, 24 Nov 2015 16:12:30 +0100

Changed in nis (Ubuntu):
status: Fix Committed → Fix Released
Martin Pitt (pitti)
Changed in dcbd (Ubuntu):
assignee: nobody → Martin Pitt (pitti)
importance: Undecided → High
status: New → In Progress
Martin Pitt (pitti)
Changed in dcbd (Ubuntu):
status: In Progress → Fix Committed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package dcbd - 0.9.19-0ubuntu3

---------------
dcbd (0.9.19-0ubuntu3) xenial; urgency=medium

  * Drop obsolete and no-op dh_installinit --upstart-only option.
    (LP: #1519228)

 -- Martin Pitt <email address hidden> Wed, 25 Nov 2015 07:59:10 +0100

Changed in dcbd (Ubuntu):
status: Fix Committed → Fix Released
Revision history for this message
Martin Pitt (pitti) wrote :

For the record, the archive grep finished now, so the above tasks are complete.

Changed in console-setup (Ubuntu):
importance: Low → High
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package console-setup - 1.108ubuntu10

---------------
console-setup (1.108ubuntu10) xenial; urgency=medium

  * debian/rules: Drop obsolete and no-op dh_installinit --upstart-only
    option. (LP: #1519228)
  * Add debian/keyboard-configuration.links to (statically) enable
    console-setup.service. It is not being pulled in by plymouth any more, and
  * console-setup.service: Set RemainAfterExit.

 -- Martin Pitt <email address hidden> Mon, 11 Jan 2016 15:02:09 +0100

Changed in console-setup (Ubuntu):
status: Fix Committed → Fix Released
Changed in lxc (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers